Package org.opensaml.storage

# Interface StorageCapabilities

All Known Implementing Classes:
  `AbstractMapBackedStorageService`, `AbstractStorageService`, `ClientStorageService`, `MemcachedStorageCapabilities`, `MemoryStorageService`

public interface StorageCapabilities
Exposes capabilities of a `StorageService` implementation.

## Method Summary

Modifier and Type
Method
Description
`int`
`getContextSize()`
Gets max size of context labels in characters.
`int`
`getKeySize()`
Gets max size of keys in characters.
`long`
`getValueSize()`
Gets max size of values in characters.
`boolean`
`isClustered()`
Returns true iff the storage implementation manages data independent of a single server node.
`boolean`
`isServerSide()`
Returns true iff the storage implementation manages data independent of the client.

## Method Details

### getContextSize

int getContextSize()
Gets max size of context labels in characters.

Returns:
  max size of context labels in characters

### getKeySize

int getKeySize()
Gets max size of keys in characters.

Returns:
  max size of keys in characters

### getValueSize

long getValueSize()
Gets max size of values in characters.

Returns:
  max size of values in characters

### isServerSide

boolean isServerSide()
Returns true iff the storage implementation manages data independent of the client.

Returns:
  true iff the storage implementation manages data independent of the client
Since:
  5.0.0

### isClustered

boolean isClustered()
Returns true iff the storage implementation manages data independent of a single server node.

Returns:
  true iff the storage implementation manages data independent of a single server node
Since:
  5.0.0